Extending Qt Creator Manual | DiffChunk

Extending Qt Creator Manual 4.5.2

# DiffChunk Class

(VcsBase::DiffChunk)

The DiffChunk class provides a diff chunk consisting of file name and chunk data. More...

Header: | #include <DiffChunk>

- List of all members, including inherited members

## Public Functions

QByteArray | asPatch(const QString &workingDirectory) const
bool | isValid() const

## Detailed Description

The DiffChunk class provides a diff chunk consisting of file name and chunk data.

## Member Function Documentation

### QByteArray DiffChunk::asPatch(const QString &workingDirectory) const

### bool DiffChunk::isValid() const